
Smart Proxy - Bug #11318

HttpDownloads.start_download should have returned CommandTask object

08/10/2015 08:10 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Core   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/310

  

Description

To allow joining processes:

      if ::Proxy::HttpDownloads.start_download(data['kernel'], '/tmp/vmlinuz').join != 0

        logger.warn "unable to download kernel - aborting" 

      end

      if ::Proxy::HttpDownloads.start_download(data['initram'], '/tmp/initrd.img').join != 0

        logger.warn "unable to download init RAM disk - aborting" 

      end

Related issues:

Related to Discovery - Refactor #12100: Improve image/kernel downloading code Closed 10/08/2015

Associated revisions

Revision 5f7fd34c - 09/11/2015 07:55 AM - Lukas Zapletal 

Fixes #11318 - HttpDownloads.start_download returns instance

instead of `true`. Allows to join processes, useful for discovery image

plugin.

History

#1 - 08/10/2015 08:14 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/310 added

- Pull request deleted ()

#2 - 09/11/2015 08:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5f7fd34c7b4dc9b373a5fc1faeef4f21bcbc7919.

#3 - 09/11/2015 08:02 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#4 - 10/08/2015 05:24 AM - Lukas Zapletal

- Related to Refactor #12100: Improve image/kernel downloading code added
